Upstream information

CVE-2021-3981 at MITRE

Description

A flaw in grub2 was found where its configuration file, known as grub.cfg, is being created with the wrong permission set allowing non privileged users to read its content. This represents a low severity confidentiality issue, as those users can eventually read any encrypted passwords present in grub.cfg. This flaw affects grub2 2.06 and previous versions. This issue has been fixed in grub upstream but no version with the fix is currently released.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 3.3 3.3
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1189644 [RESOLVED / FIXED], 1198244 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • grub2 >= 2.06-150400.9.9
  • grub2-arm64-efi >= 2.06-150400.9.9
  • grub2-i386-pc >= 2.06-150400.9.9
  • grub2-powerpc-ieee1275 >= 2.06-150400.9.9
  • grub2-s390x-emu >= 2.06-150400.9.9
  • grub2-snapper-plugin >= 2.06-150400.9.9
  • grub2-systemd-sleep-plugin >= 2.06-150400.9.9
  • grub2-x86_64-efi >= 2.06-150400.9.9
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA grub2-2.06-150400.9.9
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • grub2 >= 2.06-150400.9.9
  • grub2-arm64-efi >= 2.06-150400.9.9
  • grub2-i386-pc >= 2.06-150400.9.9
  • grub2-powerpc-ieee1275 >= 2.06-150400.9.9
  • grub2-s390x-emu >= 2.06-150400.9.9
  • grub2-snapper-plugin >= 2.06-150400.9.9
  • grub2-systemd-sleep-plugin >= 2.06-150400.9.9
  • grub2-x86_64-efi >= 2.06-150400.9.9
  • grub2-x86_64-xen >= 2.06-150400.9.9
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA grub2-2.06-150400.9.9
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA grub2-x86_64-xen-2.06-150400.9.9
SUSE Linux Enterprise Module for Server Applications 15 SP4
  • grub2-x86_64-xen >= 2.06-150400.9.9
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA grub2-x86_64-xen-2.06-150400.9.9
openSUSE Leap 15.4
  • grub2 >= 2.06-150400.9.9
  • grub2-arm64-efi >= 2.06-150400.9.9
  • grub2-i386-pc >= 2.06-150400.9.9
  • grub2-powerpc-ieee1275 >= 2.06-150400.9.9
  • grub2-snapper-plugin >= 2.06-150400.9.9
  • grub2-systemd-sleep-plugin >= 2.06-150400.9.9
  • grub2-x86_64-efi >= 2.06-150400.9.9
Patchnames:
openSUSE Leap 15.4 GA grub2-2.06-150400.9.9
openSUSE Tumbleweed
  • grub2 >= 2.06-13.1
  • grub2-branding-upstream >= 2.06-13.1
  • grub2-i386-pc >= 2.06-13.1
  • grub2-i386-pc-debug >= 2.06-13.1
  • grub2-snapper-plugin >= 2.06-13.1
  • grub2-systemd-sleep-plugin >= 2.06-13.1
  • grub2-x86_64-efi >= 2.06-13.1
  • grub2-x86_64-efi-debug >= 2.06-13.1
  • grub2-x86_64-xen >= 2.06-13.1
Patchnames:
openSUSE Tumbleweed GA grub2-2.06-13.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SLES15-SP3-CHOST-BYOS-Aliyun grub2 Not affected
SLES15-SP3-CHOST-BYOS-Azure grub2 Not affected
SLES15-SP3-CHOST-BYOS-EC2 grub2 Not affected
SLES15-SP3-CHOST-BYOS-GCE grub2 Not affected
SLES15-SP4-CHOST-BYOS grub2 Already fixed
SLES15-SP4-CHOST-BYOS-Aliyun grub2 Already fixed
SLES15-SP4-CHOST-BYOS-Azure grub2 Already fixed
SLES15-SP4-CHOST-BYOS-EC2 grub2 Already fixed
SLES15-SP4-CHOST-BYOS-GCE grub2 Already fixed
SUSE Enterprise Storage 7 grub2 Not affected
SUSE Enterprise Storage 7.1 grub2 Not affected
SUSE Linux Enterprise Desktop 15 SP4 grub2 Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 grub2 Already fixed
SUSE Linux Enterprise Micro 5.1 grub2 Not affected
SUSE Linux Enterprise Micro 5.2 grub2 Not affected
SUSE Linux Enterprise Micro 5.3 grub2 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP4 grub2 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP4 grub2 Already fixed
SUSE Linux Enterprise Real Time 15 SP3 grub2 Not affected
SUSE Linux Enterprise Server 12 SP5 grub2 Not affected
SUSE Linux Enterprise Server 15 SP4 grub2 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 grub2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 grub2 Already fixed
SUSE Manager Proxy 4.2 grub2 Not affected
SUSE Manager Proxy 4.3 grub2 Already fixed
SUSE Manager Proxy Module 4.2 grub2 Not affected
SUSE Manager Proxy Module 4.3 grub2 Already fixed
SUSE Manager Retail Branch Server 4.2 grub2 Not affected
SUSE Manager Retail Branch Server 4.3 grub2 Already fixed
SUSE Manager Server 4.2 grub2 Not affected
SUSE Manager Server 4.3 grub2 Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SLES15-EC2-CHOST-HVM-BYOS grub2 Not affected
SLES15-SP1-CHOST-BYOS-Azure grub2 Not affected
SLES15-SP1-CHOST-BYOS-EC2 grub2 Not affected
SLES15-SP1-CHOST-BYOS-GCE grub2 Not affected
SLES15-SP2-CHOST-BYOS-Aliyun grub2 Not affected
SLES15-SP2-CHOST-BYOS-Azure grub2 Not affected
SLES15-SP2-CHOST-BYOS-EC2 grub2 Not affected
SLES15-SP2-CHOST-BYOS-GCE grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS grub2 Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS grub2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 grub2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 grub2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 grub2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 grub2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 grub2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 grub2 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL grub2 Not affected
SUSE Linux Enterprise Server 12 SP4 grub2 Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS grub2 Not affected
SUSE Linux Enterprise Server 15 SP1 grub2 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS grub2 Not affected
SUSE Linux Enterprise Server 15 SP2 grub2 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS grub2 Not affected
SUSE Linux Enterprise Server 15 SP3 grub2 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS grub2 Not affected
SUSE Linux Enterprise Server 15-ESPOS grub2 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 grub2 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 grub2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 grub2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 grub2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 grub2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 grub2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 grub2 Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 grub2 Not affected
SUSE CaaS Platform 3.0 grub2 Not affected
SUSE CaaS Platform 4.0 grub2 Not affected
SUSE CaaS Platform 4.5 grub2 Not affected
SUSE Enterprise Storage 6 grub2 Not affected
SUSE Linux Enterprise Desktop 12 SP2 grub2 Not affected
SUSE Linux Enterprise Desktop 12 SP3 grub2 Not affected
SUSE Linux Enterprise Desktop 12 SP4 grub2 Not affected
SUSE Linux Enterprise Desktop 15 grub2 Not affected
SUSE Linux Enterprise Desktop 15 SP1 grub2 Not affected
SUSE Linux Enterprise Desktop 15 SP2 grub2 Not affected
SUSE Linux Enterprise Desktop 15 SP3 grub2 Not affected
SUSE Linux Enterprise Micro 5.0 grub2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 grub2 Not affected
SUSE Linux Enterprise Module for Server Applications 15 grub2 Not affected
SUSE Linux Enterprise Real Time 15 SP2 grub2 Not affected
SUSE Linux Enterprise Server 11 SP1 grub Not affected
SUSE Linux Enterprise Server 11 SP3 grub Not affected
SUSE Linux Enterprise Server 11 SP3 grub2 Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS grub Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS grub2 Not affected
SUSE Linux Enterprise Server 11 SP4 grub Not affected
SUSE Linux Enterprise Server 11 SP4 grub2 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS grub2 Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS grub Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS grub2 Not affected
SUSE Linux Enterprise Server 12 SP2 grub2 Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS grub2 Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS grub2 Not affected
SUSE Linux Enterprise Server 12 SP3 grub2 Not affected
SUSE Linux Enterprise Server 12 SP3-BCL grub2 Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS grub2 Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS grub2 Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS grub2 Not affected
SUSE Linux Enterprise Server 15 grub2 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL grub2 Not affected
SUSE Linux Enterprise Server 15 SP2-BCL grub2 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL grub2 Not affected
SUSE Linux Enterprise Server 15-LTSS grub2 Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 grub2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 grub2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 grub2 Not affected
SUSE Manager Proxy 4.0 grub2 Not affected
SUSE Manager Proxy 4.1 grub2 Not affected
SUSE Manager Retail Branch Server 4.0 grub2 Not affected
SUSE Manager Retail Branch Server 4.1 grub2 Not affected
SUSE Manager Server 4.0 grub2 Not affected
SUSE Manager Server 4.1 grub2 Not affected
SUSE OpenStack Cloud 7 grub2 Not affected
SUSE OpenStack Cloud 8 grub2 Not affected
SUSE OpenStack Cloud 9 grub2 Not affected
SUSE OpenStack Cloud Crowbar 8 grub2 Not affected
SUSE OpenStack Cloud Crowbar 9 grub2 Not affected
Container Status
suse/sle-micro-rancher/5.3 grub2Already fixed
suse/sle-micro-rancher/5.2 grub2Not affected


SUSE Timeline for this CVE

CVE page created: Fri Aug 20 14:00:15 2021
CVE page last modified: Fri Jan 20 15:49:58 2023